---
updatedAt: 2026-08-18T09:42:52.000Z
agentTools:
  projectIndex: https://docs.tarabut.com/llms.txt
---

# Get Account Details

Enables you to get the account details such as account holder name for a given account ID. 
`Note: you must have a valid consent to fetch your customer's account details`

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Connect",
    "description": "APIs for the Tarabut sandbox environment. Before you begin, please create the 'clientId' and 'clientSecret' from Tarabut Dev Portal.",
    "version": "1.0.0"
  },
  "servers": [
    {
      "url": "https://api.sau.sandbox.tarabutgateway.io"
    }
  ],
  "components": {
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Your access token generated from the [Create Access Token](https://docs.tarabut.com/v2.0/reference/createaccesstokenv2) endpoint, the access token will contain `X-TG-CustomerUserId` that was added when the token was generated"
      }
    }
  },
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "paths": {
    "/accountInformation/v2/accounts/{accountId}": {
      "get": {
        "tags": [
          "Connect"
        ],
        "summary": "Get Account Details",
        "description": "Enables you to get the account details such as account holder name for a given account ID. \n`Note: you must have a valid consent to fetch your customer's account details`",
        "operationId": "getAccountDetails",
        "parameters": [
          {
            "name": "Content-Type",
            "in": "header",
            "schema": {
              "type": "string",
              "description": "Specify the body format to JSON format",
              "default": "application/json"
            },
            "required": true
          },
          {
            "name": "accountId",
            "in": "path",
            "schema": {
              "type": "string",
              "description": "The `accountId` that has been returned on the [Get Accounts](https://docs.tarabut.com/v2.0/reference/getaccountsv2) endpoint"
            },
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "required": [
                    "accountId",
                    "accountHolderName"
                  ],
                  "properties": {
                    "accountId": {
                      "type": "string",
                      "description": "Unique account ID that provided as path parameter",
                      "example": "c0960f92-b2fa-4e34-bc1b-f081b8587e0a"
                    },
                    "accountHolderName": {
                      "type": "string",
                      "description": "Account holder name (provided by the financial institution), in the case of a joint account, it will include all account holder names separated by a comma",
                      "example": "John Doe"
                    },
                    "nickname": {
                      "type": "string",
                      "description": "Account nickname (provided by the financial institution)",
                      "example": "Ibrahim Adil"
                    },
                    "status": {
                      "type": "string",
                      "description": "Account status, e.g. `Active`, `Not_Active`, `Dormant`, `Unclaimed`, `Deceased`, `Suspended`, `Closed`",
                      "example": "Active"
                    },
                    "providerId": {
                      "type": "string",
                      "description": "Unique identifier of the financial institution to which the account belongs."
                    },
                    "accountProductType": {
                      "type": "string",
                      "description": "Type of account product, e.g. Savings, CurrentAccount, CreditCard."
                    },
                    "accountDescription": {
                      "type": "string",
                      "description": "Account description provided by the financial institution."
                    },
                    "identifiers": {
                      "type": "array",
                      "items": {
                        "properties": {
                          "type": {
                            "type": "string"
                          },
                          "value": {
                            "type": "string"
                          }
                        },
                        "type": "object"
                      },
                      "description": "Account identifiers provided by the financial institution."
                    },
                    "meta": {
                      "type": "object",
                      "properties": {
                        "lastAccountUpdateDatetime": {
                          "type": "string",
                          "format": "date-time"
                        },
                        "lastBalancesUpdateDatetime": {
                          "type": "string",
                          "format": "date-time"
                        },
                        "transactionsAvailability": {
                          "type": "string"
                        },
                        "balanceAvailability": {
                          "type": "string"
                        }
                      },
                      "description": "Metadata about the account information."
                    }
                  }
                },
                "examples": {
                  "OK": {
                    "summary": "OK",
                    "value": {
                      "accountId": "18bf44e1-3d63-3439-a1bd-dcea9716fbef",
                      "accountHolderName": "Hari Shankar",
                      "nickname": "Hari",
                      "status": "ACTIVE",
                      "providerId": "GREN",
                      "accountProductType": "Savings",
                      "accountDescription": "ALMUSAMOHANNADB ال موسىمهندب",
                      "identifiers": [
                        {
                          "type": "IBAN",
                          "value": "SA3229000068200069126000"
                        },
                        {
                          "type": "NationalId",
                          "value": "900861088"
                        }
                      ],
                      "meta": {
                        "lastAccountUpdateDatetime": "2026-08-19T10:08:43.103587Z",
                        "lastBalancesUpdateDatetime": "2026-08-19T09:52:52.306748Z",
                        "transactionsAvailability": "completed",
                        "balanceAvailability": "completed"
                      }
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Error response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string",
                      "description": "error name",
                      "example": "UNAUTHORIZED_ACCESS"
                    },
                    "errorMessage": {
                      "type": "string",
                      "description": "error message",
                      "example": "Access token used is invalid or expired. Regenerate the access token"
                    },
                    "traceId": {
                      "type": "string",
                      "description": "Tracing Id used when you contact support",
                      "example": "103230558274891996"
                    },
                    "details": {
                      "type": "array",
                      "description": "The array contains details of the error"
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
```